mscorlib 2.0.0.0 4.0.0.0 System.Security.Cryptography.HashAlgorithm System.Runtime.InteropServices.ComVisible(true)

Hash functions map binary strings of an arbitrary length to small binary strings of a fixed length. A cryptographic hash function has the property that it is computationally infeasible to find two distinct inputs that hash to the same value; that is, hashes of two sets of data should match if the corresponding data also matches. Small changes to the data result in large unpredictable changes in the hash.

RIPEMD-160 is a 160-bit cryptographic hash function. It is intended for use as a replacement for the 128-bit hash functions MD4, MD5, and RIPEMD. RIPEMD was developed in the framework of the EU project RIPE (RACE Integrity Primitives Evaluation, 1988-1992).

has been superseded by the Secure Hash Algorithms SHA-256 and SHA-512 and their derived classes. and offer better security and performance than . Use only for compatibility with legacy applications and data.

Represents the abstract class from which all implementations of the MD160 hash algorithm inherit.

- Constructor
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code will create a new instance of a derived class. For more information, see the class.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.RIPEMD160

  You cannot create an instance of an abstract class. Application code will create a new instance of a derived class. For more information, see the class.

  Creates an instance of the default implementation of the hash algorithm.

  A new instance of the hash algorithm.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.RIPEMD160 ``

  You cannot create an instance of an abstract class. Application code will create a new instance of a derived class. For more information, see the class.

  Creates an instance of the specified implementation of the hash algorithm.

  A new instance of the specified implementation of .

  The name of the specific implementation of to use.